package com.ruoyi.project.intact.his.service;

import java.util.List;
import com.ruoyi.project.intact.his.domain.TIntactHiPump;
import com.ruoyi.project.sems.his.domain.TSpechiYlrq;

/**
 * 设备完整性泵台账历史记录Service接口
 * 
 * @author ruoyi
 * @date 2022-06-29
 */
public interface ITIntactHiPumpService 
{
    /**
     * 查询设备完整性泵台账历史记录
     * 
     * @param id 设备完整性泵台账历史记录ID
     * @return 设备完整性泵台账历史记录
     */
    public TIntactHiPump selectTIntactHiPumpById(Long id);

    /**
     * 查询设备完整性泵台账历史记录列表
     * 
     * @param tIntactHiPump 设备完整性泵台账历史记录
     * @return 设备完整性泵台账历史记录集合
     */
    public List<TIntactHiPump> selectTIntactHiPumpList(TIntactHiPump tIntactHiPump);

    /**
     * 新增设备完整性泵台账历史记录
     * 
     * @param tIntactHiPump 设备完整性泵台账历史记录
     * @return 结果
     */
    public int insertTIntactHiPump(TIntactHiPump tIntactHiPump);


    public  List<TIntactHiPump> selectTIntactHiPumpByReform(Long devId);

    /**
     * 修改设备完整性泵台账历史记录
     * 
     * @param tIntactHiPump 设备完整性泵台账历史记录
     * @return 结果
     */
    public int updateTIntactHiPump(TIntactHiPump tIntactHiPump);

    /**
     * 批量删除设备完整性泵台账历史记录
     * 
     * @param ids 需要删除的设备完整性泵台账历史记录ID
     * @return 结果
     */
    public int deleteTIntactHiPumpByIds(Long[] ids);

    /**
     * 删除设备完整性泵台账历史记录信息
     * 
     * @param id 设备完整性泵台账历史记录ID
     * @return 结果
     */
    public int deleteTIntactHiPumpById(Long id);

    /**
     * 根据devid删除特种设备压力容器的台账历史信息
     * @param devId
     * @return
     */
    public int deleteTIntactHiPumpByDevId(Long devId);
}
